﻿using Syncfusion.UI.Xaml.Charts;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.ApplicationModel.Core;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Core;
using Windows.UI.ViewManagement;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409

namespace ChartswithSyncfusion
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public IList<Test> itemsTest
        {
            get;
            set;
        }


        public MainPage()
        {
            this.InitializeComponent();
            itemsTest = new List<Test>();

            GenerateEmployeeSchedule();
        }

        private void GenerateEmployeeSchedule()
        {
            itemsTest.Add(new Test() { Name = "Test1", Value = 100d });
            itemsTest.Add(new Test() { Name = "Test2", Value = 120d });
            itemsTest.Add(new Test() { Name = "Test3", Value = 80d });
            itemsTest.Add(new Test() { Name = "Test4", Value = 50d });
            itemsTest.Add(new Test() { Name = "Test5", Value = 150d });
            itemsTest.Add(new Test() { Name = "Test6", Value = 140d });
            itemsTest.Add(new Test() { Name = "Test7", Value = 150d });
            itemsTest.Add(new Test() { Name = "Test8", Value = 60d });
        }

        private async void Button_Click(object sender, RoutedEventArgs e)
        {
            if (itemsTest != null && itemsTest.Count > 0)
            {
                // GenerateChart();

                CoreApplicationView newView = CoreApplication.CreateNewView();
                int newViewId = 0;
                var currentAV = ApplicationView.GetForCurrentView();
                await newView.Dispatcher.RunAsync(CoreDispatcherPriority.Normal, async () =>
                {
                    Frame frame = new Frame();
                    frame.Navigate(typeof(BlankPage1), itemsTest); //for SfChart
                                                                   //frame.Navigate(typeof(BlankPage1), "test"); //for TextBox
                    Window.Current.Activate();
                    Window.Current.Content = frame;
                    // You have to activate the window in order to show it later.
                   

                    newViewId = ApplicationView.GetForCurrentView().Id;
                    await ApplicationViewSwitcher.TryShowAsStandaloneAsync(
                       newViewId,
                       ViewSizePreference.UseMinimum,
                       currentAV.Id,
                       ViewSizePreference.UseMinimum);
                });
              //  bool viewShown = await ApplicationViewSwitcher.TryShowAsStandaloneAsync(newViewId);
            }

        }
    }
}
